﻿


;-------------------------------------------------------------------------------
Handle_INI: ; handle ini-file
;-------------------------------------------------------------------------------
    Gosub, Prepare_INI
    IfExist, %AppName%.ini
        Gosub, Read_INI
    Else
        Gosub, Write_INI

Return



;-------------------------------------------------------------------------------
Prepare_INI: ; default values for ini-file dependent vars
;-------------------------------------------------------------------------------

    ; defaults for [Config]
    SunSize     := 100   ; size of the sun
    PlanetSize  :=  15   ; size of planets
    PlanetCount := 125   ; number of planets
    FPS         :=  50   ; frames per second

Return



;-------------------------------------------------------------------------------
Read_INI: ; read settings from ini-file
;-------------------------------------------------------------------------------

    ; read [Config]
    IniRead, SunSize,     %AppName%.ini, Config, SunSize,     %SunSize%
    IniRead, PlanetSize,  %AppName%.ini, Config, PlanetSize,  %PlanetSize%
    IniRead, PlanetCount, %AppName%.ini, Config, PlanetCount, %PlanetCount%
    IniRead, FPS,         %AppName%.ini, Config, FPS,         %FPS%

Return



;-------------------------------------------------------------------------------
Write_INI: ; write settings to ini-file
;-------------------------------------------------------------------------------

    ; write [Config]
    IniWrite, %SunSize%,     %AppName%.ini, Config, SunSize
    IniWrite, %PlanetSize%,  %AppName%.ini, Config, PlanetSize
    IniWrite, %PlanetCount%, %AppName%.ini, Config, PlanetCount
    IniWrite, %FPS%,         %AppName%.ini, Config, FPS

Return
